{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}
{% load bootstrap %}

{% block title %}
    {{ block.super }} Update
{% endblock %}

{% block content %}
    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}

    {% if form.errors %}
        <p style="color: red;">
            Please correct the error{{ form.errors|safe|pluralize }} below.
        </p>
    {% endif %}


    <form action="" method="POST"  role="form">{% csrf_token %}
        {{ form.non_field_errors }}
        <legend>Modification Annonce</legend>
        {% csrf_token %}
        {{ form|bootstrap }}
        <div class="form-group">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </form>

    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}

{% endblock %}

{% block css %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'css/jquery-ui/smoothness/jquery-ui.css' %}"/>
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/jquery-ui.js' %}"></script>
    <script src="{% static 'js/select2.min.js' %}"></script>

    <script type="text/javascript">
        $('.js-example-basic-single').select2({
            placeholder: "Select an organization"
        });
    </script>

{% endblock %}

